// asignatura.h - Declaración de la clase CAsignatura
#if !defined( _ASIGNATURA_H_ )
#define _ASIGNATURA_H_
#include <string>
#include <vector>
#include "fecha.h"
#include "convocatoria.h"

class CAsignatura
{
  private:
    int ID;        // identificador de la asignatura
    std::string nombre; // nombre de la asignatura
    CFecha fecha;  // primera vez que se realizó la matrícula
    std::vector<CConvocatoria> convocatorias;
  public:
    CAsignatura(int id = 999999, std::string nom = "");
    void asignarID(int id);
    int obtenerID() const;
    void asignarNombre(std::string nom);
    std::string obtenerNombre() const;
    bool asignarFecha(CFecha& f);
    const CFecha& obtenerFecha();
    CConvocatoria& obtenerConvocatoria(unsigned int i);
    void anyadirConvocatoria(CConvocatoria& c);
    size_t convocatoriasConsumidas();
};

#endif // _ASIGNATURA_H_

